Page MenuHomePhabricator

Develop IsArticleAboutAPerson logic for Commons
Closed, DeclinedPublic

Description

Phabricator task T112378 was opened to identify problems with the is article about a person logic and task T112464 was opened to research adding the is article about a person logic to svwiki. I also opened one for the Simple Wikipedia as well.

This request would research adding this logic to Commons. Since each project has distinct requirements I believe its best to open separate tasks so that's what I have done..

Although the logic for commons would need to be different, there is a need to have such functionality and there is a lot of use that can be gained by it for those of us that use it there. Can we create some logic that would allow commons content, at least in the Categories, Creator and Galleries namespaces, to be identified as about a person?

Event Timeline

Reguyla raised the priority of this task from to Needs Triage.
Reguyla updated the task description. (Show Details)
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptSep 15 2015, 10:52 PM

why we need this in commons?

Have to ask the same thing, with enough tools especially around things like the Creator: namespace, which is solely people.

There are so many new tools around that can generate lists that are specific, and also query the Wikidata space, it seems unusual to be extending AWB componentry in that direction. If there was to be an extension of effort would the general ability to have AWB query Wikidata API through an interface be more useful?

Reguyla added a comment.EditedSep 15 2015, 11:06 PM

@Magioladitis, For much the same reason why we need it on ENWP or other projects. There are tasks that AWB could perform on Commons (which it currently doesn't) that would be much easier or would require, the is article about a person logic.

@Billinghurst, I think querying Wikidata using the API would be more appropriate as a plugin than as a General feature of AWB.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 14 2015, 11:26 AM

As the author of this request I recommend this request be closed as no consensus for the change. I have been unable to get a consensus of how to define what a person is on commons in any meaningful way and since I cannot even access IRC to discuss it there is little hope of this being resolved. There is no reason to leave this open indefinitely with no hope of completion.

As the author of this request I recommend this request be closed as no consensus for the change.

JJMC89 closed this task as Declined.Feb 6 2017, 8:18 PM